/*
 * Titel:    Headerdatei fuer die Servosteuerung
 * Autor:    Thomas Huxhorn  web:http://www.amee-bot.de  mail:thomas.huxhorn@web.de
 * Project:  Servosteuerung
 * Hardware: ATTiny2313 8MHz
 * Version:  0.2
 * Datum:    27.10.2005
 */

#ifndef SERVO5_H
#define SERVO5_H

#ifndef F_CPU
#define F_CPU 8000000UL
#endif

#include <stdlib.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>

#define GERADEAUS   100  // Default Postition
#define MINIMAL      95  // Minimale Impulslaenge

#define SERVO1      PB0  
#define SERVO2      PB1 
#define SERVO3      PB2
#define SERVO4      PB3
#define SERVO5      PB4
#define SERVO6      PB5
#define SERVO7      PB6
#define SERVO8      PB7

#define LEFT        PD2  // Die 3 Taster
#define RIGHT       PD3
#define SELECTSERVO PD4

#define SEGMENTBITA PA0  // Fuer die 7-Segment Anzeige
#define SEGMENTBITB PA1
#define SEGMENTBITC PD6

#define nop() __asm volatile ("nop")

void usartInit(void);
void USART_transmit(unsigned char);
void USART_transmit_string(unsigned char *string);
void usartChangeBaud(void);

void checkByte1(unsigned char);
void checkByte2(unsigned char);
void checkByte3(unsigned char);
void checkByte4(unsigned char);

uint8_t debounce(volatile uint8_t *port, uint8_t pin);
uint8_t debounce_fast(volatile uint8_t *port, uint8_t pin);
void showServoNr(uint8_t servoNr);

int main(void);

volatile uint8_t sollpos[8], whichServo, stringServoNr;
volatile uint8_t searchForByte;
uint32_t UsartBaudrate;


#endif // SERVO5_H
